#!/bin/sh

# Build zipfiles for GTK on Win32

ZIP=/tmp/gtk+-@GTK_VERSION@.zip
DEVZIP=/tmp/gtk+-dev-@GTK_VERSION@.zip
cd @prefix@

mkdir -p share/doc/gtk+-@GTK_VERSION@
cp -p @abs_srcdir@/COPYING share/doc/gtk+-@GTK_VERSION@

mkdir -p share/doc/gtk+-dev-@GTK_VERSION@
cp -p @abs_srcdir@/COPYING share/doc/gtk+-dev-@GTK_VERSION@

rm $ZIP
zip $ZIP -@ <<EOF
etc/gtk-2.0/gdk-pixbuf.loaders
etc/gtk-2.0/gtkrc
etc/gtk-2.0/gtk.immodules
bin/libgdk_pixbuf-@GTK_API_VERSION@-@LT_CURRENT_MINUS_AGE@.dll
bin/libgdk-win32-@GTK_API_VERSION@-@LT_CURRENT_MINUS_AGE@.dll
bin/libgtk-win32-@GTK_API_VERSION@-@LT_CURRENT_MINUS_AGE@.dll
bin/libgailutil-@GAIL_LT_CURRENT_MINUS_AGE@.dll
bin/gdk-pixbuf-query-loaders.exe
bin/gtk-query-immodules-2.0.exe
EOF

zip $ZIP lib/gtk-2.0/modules/libgail.dll lib/gtk-2.0/@GTK_BINARY_VERSION@/loaders/*.dll lib/gtk-2.0/@GTK_BINARY_VERSION@/immodules/*.dll lib/gtk-2.0/@GTK_BINARY_VERSION@/engines/*.dll

zip $ZIP share/themes/Raleigh/gtk-2.0/gtkrc
zip $ZIP share/themes/Default/gtk-2.0-key/gtkrc
zip $ZIP share/themes/Emacs/gtk-2.0-key/gtkrc
zip $ZIP share/themes/MS-Windows/gtk-2.0/gtkrc

if [ -f share/locale/de/LC_MESSAGES/gtk20.mo ]; then
  zip -r $ZIP share/locale/*/LC_MESSAGES/gtk20.mo
  zip -r $ZIP share/locale/*/LC_MESSAGES/gtk20-properties.mo
else
  zip -r $ZIP lib/locale/*/LC_MESSAGES/gtk20.mo
  zip -r $ZIP lib/locale/*/LC_MESSAGES/gtk20-properties.mo
fi

zip -r $ZIP share/doc/gtk+-@GTK_VERSION@

rm $DEVZIP
zip -r $DEVZIP -@ <<EOF
include/gtk-2.0
include/gail-1.0
bin/gdk-pixbuf-csource.exe
bin/gtk-builder-convert
bin/gtk-demo.exe
bin/gtk-update-icon-cache.exe
man/man1/gdk-builder-convert.1
man/man1/gdk-pixbuf-csource.1
man/man1/gdk-update-icon-cache.1
man/man1/gtk-pixbuf-query-loaders.1
man/man1/gtk-query-immodules-2.0.1
lib/libgdk_pixbuf-@GTK_API_VERSION@.dll.a
lib/gdk_pixbuf-@GTK_API_VERSION@.lib
lib/libgdk-win32-@GTK_API_VERSION@.dll.a
lib/gdk-win32-@GTK_API_VERSION@.lib
lib/libgtk-win32-@GTK_API_VERSION@.dll.a
lib/gtk-win32-@GTK_API_VERSION@.lib
lib/libgailutil.dll.a
lib/gailutil.lib
lib/gtk-2.0/include
lib/pkgconfig/gdk-pixbuf-2.0.pc
lib/pkgconfig/gdk-2.0.pc
lib/pkgconfig/gdk-win32-2.0.pc
lib/pkgconfig/gtk+-2.0.pc
lib/pkgconfig/gtk+-win32-2.0.pc
share/aclocal/gtk-2.0.m4
share/gtk-2.0
share/gtk-doc/html/gdk-pixbuf
share/gtk-doc/html/gdk
share/gtk-doc/html/gtk
EOF

zip -r $DEVZIP share/doc/gtk+-dev-@GTK_VERSION@
